### Class

# Ide DeviceInfo

#### Description

    final class Ide.DeviceInfo : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_device_info_new

No description available.

#### Instance methods

###### ide_device_info_get_host_triplet

Get the `IdeTriplet` object describing the configuration name of the Device (its architecture…)

Available since: 3.32

###### ide_device_info_get_kind

Get the `IdeDeviceKind` of the device describing the type of device `self` refers to.

Available since: 3.32

###### ide_device_info_set_host_triplet

Set the `IdeTriplet` object describing the configuration name.

Available since: 3.32

###### ide_device_info_set_kind

Set the `IdeDeviceKind` of the device describing the type of device `self` refers to.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DeviceInfo:host-triplet

No description available.

###### Ide.DeviceInfo:kind

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDeviceInfoClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.